%
% test the Hurst methods on pure noise processes
%
% Matlab package submitted Chu Chen for Matlab release 7.1.0 (R14SP3)]
% http://www.mathworks.com/matlabcentral/fileexchange/19148-hurst-parameter-estimate
% provides 8 methods for estimating Hurst Parameter H. 
%
% We examined three different test situation for which true H is known:
%
% (1) white noise = AR(1) with rho=0  -> H = 0.5
% (2) red noise = AR(1) with rho <1 e.g. =0.5  -> H = 0.5 asymptotically (i.e.
% subsampled beyond autocorrelation timescale, i.e. 3 years
% (3) random walk: AR(1) with rho=1.0 -> H=1.5
%
% Method     always works for (1) and (2)    always works for (3)

% 1. RS                No                            No
% 2. Absval           Yes                            No
% 3. Aggvar           Yes                            No
% 4. Boxper            no                            No
% 5. DiffVar          Yes                            No                
% 6. Higuchi          Yes                            No
% 7. Peng             Yes                           Yes
% 8. Per               no                            No
%
% This left three candidates methods remaining for cases (1) and (2)
% 1. Higuchi
% 2. AggVar
% 3. Absval
% and one candidate for case (3)
% 1. Peng
%
% specify noise model
rho = 1.0;
%
% perform M realizations of N-length noise process
M=1000;
N=1000;
%
for i=1:M
    [noiser]=rednoise(N,rho);
    noiser=noiser';
    noisereal(:,i)=noiser;
    noise=noiser;
%   decimate at tau=3 year for red noise test case rho=0.5
%   noise=decimate(noiser,3);
    Hestbest(:,i)=Hest(noise);
end
%
% 
Have=mean(Hestbest);
Hstd=std(Hestbest);







      